
package de.ivu.elect.presentation.exchange;

import javax.inject.Inject;

import org.apache.deltaspike.core.api.scope.ConversationGroup;

import de.ivu.elect.business.exchange.entity.DateiExportArt;
import de.ivu.elect.business.security.UseCasePermission;

public class ExportDescriptionSelect implements ExportDescription {

  private static final long serialVersionUID = 1L;

  @Inject
  @ConversationGroup(ExportDescriptionConversationStore.class)
  protected transient ExportDescriptionConversationStore exportDescriptionConversationStore;

  public ExportDescriptionSelect() {
    super();
  }

  public void close() {
    exportDescriptionConversationStore.close();
  }

  public boolean isSelected() {
    return exportDescriptionConversationStore.isSelected();
  }

  public ExportDescription getExportDescription() {
    return exportDescriptionConversationStore.getExportDescription();
  }

  public void setExportDescription(ExportDescription exportDescription) {
    exportDescriptionConversationStore.setExportDescription(exportDescription);
  }

  @Override
  public UseCasePermission getUseCasePermission() {
    return getExportDescription().getUseCasePermission();
  }

  @Override
  public boolean isSpecificPerWahl() {
    return getExportDescription().isSpecificPerWahl();
  }

  @Override
  public boolean isSpecificPerWahltermin() {
    return getExportDescription().isSpecificPerWahltermin();
  }

  @Override
  public String getPageMenuComponentName() {
    return getExportDescription().getPageMenuComponentName();
  }

  @Override
  public DateiExportArt getDateiExportArt() {
    return getExportDescription().getDateiExportArt();
  }

  @Override
  public String getExportSearchViewId() {
    return getExportDescription().getExportSearchViewId();
  }
}
